using System;

internal sealed class Delegate581 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate581 delegate581_1)
	{
		return delegate581_1(object_0);
	}

	public extern Delegate581(object object_0, IntPtr intptr_0);

	static Delegate581()
	{
		Class10.smethod_13(typeof(Delegate581).TypeHandle);
	}

	internal static Delegate581 delegate581_0;
}
